#
# spec file for package ceph-deploy
#

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

#################################################################################
# common
#################################################################################
Name:           ceph-deploy
Version:       1.5.34
Release:        0.0.6
Summary:        Admin and deploy tool for Ceph
License:        MIT
Group:          System/Filesystems
URL:            http://ceph.com/
Source0:        %{name}-%{version}.tar.bz2
Patch100:  set-adjust-repos-false.patch
Patch101: support-oracle-dist.patch
Patch102: delete_service_files_when_purging.patch
Patch103: remove_dependent_during_purge.patch
Patch104: add_more_time_for_disk_activation.patch
Patch105: add_yum_repolist_before_clean.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-distribute
BuildRequires:  python-setuptools
BuildRequires:  python-virtualenv
BuildRequires:  python-mock
BuildRequires:  python-tox
%if 0%{?suse_version}
BuildRequires:  python-pytest
%else
BuildRequires:  pytest
%endif
BuildRequires:  git
Requires:       python-argparse
Requires:       python-distribute
#Requires:      lsb-release
#Requires:      ceph
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

#################################################################################
# specific
#################################################################################
%if 0%{defined suse_version}
%py_requires
%endif

%description
An easy to use admin tool for deploy ceph storage clusters.

%prep
#%%setup -q -n %%{name}
%setup -q
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1

%build
#python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -m 0755 -D scripts/ceph-deploy $RPM_BUILD_ROOT/usr/bin

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%{_bindir}/ceph-deploy
%{python_sitelib}/*

%changelog
* Mon Oct 3 2016 Muminul Islam <muminul.islam@oracle.com> - 1.5.34-0.0.6.el7
- Execute "yum repolist" before clean command   [oraBug 24789225]

* Mon Sep 12 2016 Muminul Islam <muminul.islam@oracle.com> - 1.5.34-0.0.5.el7
- Give more time to activate disk to avoid python exceptions  [oraBug 24616571]

* Tue Jul 19 2016 Muminul Islam <muminul.islam@oracle.com> - 1.5.34-0.0.4.el7
- Delete ceph dependet packages when stack is purged  [oraBug 21193844]

* Fri Jul 15 2016 Muminul Islam <muminul.islam@oracle.com> - 1.5.34-0.0.3.el7
- Delete ceph daemons instance related systemd files when stack is purged  [oraBug 24291006]

* Wed Jun 15 2016 Muminul Islam <muminul.islam@oracle.com> - 1.5.34-0.0.2.el7
- Added support for Oracle Linux  [oraBug 20812846]


* Wed Jun 15 2016 Muminul Islam <muminul.islam@oracle.com> - 1.5.34-0.0.1.el7
- Add set-adjust-repos-false.patch [bug 20744644]
